// TODO: separate to theme files
$primary-color-purple: 103, 58, 183;
$primary-color-blue: 0, 92, 187;
$primary-text-color: 255, 255, 255;

$j-title-color: 0, 0, 0;
$j-subtitle-color: 255, 255, 255;
$j-secondary-title-color: 36, 36, 36;
$j-text-color: 0, 0, 0;
$j-secondary-text-color: 66, 66, 66;
$j-third-text-color: 107, 119, 140;
$j-error-color: 255, 82, 82;
$j-divider-color: 193, 199, 208;

$theme-light-purple: (
  --j-primary-color: $primary-color-purple,
  --j-primary-color-lighten1: rgba(103, 58, 183, 0.1),
  --j-primary-color-lighten2: rgba(103, 58, 183, 0.2),
  --j-ds-background-selected: #ebe3fa,
  --j-app-bg: #fff,
  --j-primary-hover-color: rgba(26, 27, 31, 0.08),
  --j-primary-active-color: rgba(103, 58, 183, 0.1),
  --j-primary-text-color: $primary-text-color,
  --j-primary-light-color: rgba(103, 58, 183, 0.15),
  --j-default-text-color: #000000de,
  --j-item-hover-bg-color: #ddd,
  --j-item-focus-color: #0052cc,
  --j-item-focus-bg-color: #d2e5fe,
  --j-menu-box-shadow-color: rgba(0, 0, 0, .15),

  --j-title-color: $j-title-color,
  --j-subtitle-color: $j-subtitle-color,
  --j-secondary-title-color: $j-secondary-title-color,
  --j-text-color: $j-text-color,
  --j-secondary-text-color: $j-secondary-text-color,
  --j-third-text-color: $j-third-text-color,
  --j-error-color: $j-error-color,

  --j-text: #172b4d,
  --j-border-color: #fafbfc,
  --j-divider-color: $j-divider-color,
  --j-ds-background: #f4f5f7,
  --j-focus-shadow: 0 0 0 2px rgb(var(--j-primary-color)) inset,
  --j-focus-outline: 2px rgb(var(--j-primary-color)) solid,
);

$theme-light-blue: (
  --j-primary-color: $primary-color-blue,
  --j-primary-color-lighten1: rgb(232, 235, 250),
  --j-primary-color-lighten2: rgba(0, 92, 187, 0.08),
  --j-ds-background-selected: #ebe3fa,
  --j-app-bg: #fff,
  --j-primary-hover-color: rgba(26, 27, 31, 0.08),
  --j-primary-active-color: #005cbb26,
  --j-primary-text-color: $primary-text-color,
  --j-primary-light-color: rgba(0, 92, 187, 0.15),
  --j-default-text-color: rgba(0, 0, 0, 0.8705882353),
  --j-item-hover-bg-color: #ddd,
  --j-item-focus-color: #0052cc,
  --j-item-focus-bg-color: #d2e5fe,
  --j-menu-box-shadow-color: rgba(0, 0, 0, .15),

  --j-title-color: $j-title-color,
  --j-subtitle-color: $j-subtitle-color,
  --j-secondary-title-color: $j-secondary-title-color,
  --j-text-color: $j-text-color,
  --j-secondary-text-color: $j-secondary-text-color,
  --j-third-text-color: $j-third-text-color,
  --j-error-color: $j-error-color,

  --j-text: #172b4d,
  --j-border-color: #fafbfc,
  --j-divider-color: $j-divider-color,
  --j-ds-background: #f4f5f7,
  --j-focus-shadow: 0 0 0 2px rgb(var(--j-primary-color)) inset,
  --j-focus-outline: 2px rgb(var(--j-primary-color)) solid,
);

// $theme-dark-purple: (
//   --j-primary-color: #9c27b0,
//   --j-primary-hover-color: rgba(0,0,0,.2),
//   --j-primary-active-color: rgba(0,0,0,.4),
//   --j-primary-text-color: #fff,
//   --j-default-text-color: #000000de,
// );
